Downgrader for PSP v3.03 which enables homebrew abilities and more!

PSP owners with the 3.03 firmware can now rejoice that the Noobz team has released a downgrader which works on all firmwares including the latest, 3.03.

According to the Noobz website:

  • This downgrader is for v3.03 firmware only. But if you have v2.81 – v3.02, no problem – you can just upgrade to v3.03 to use the downgrader.
  • You need a copy of the unpatched GTA:Liberty City Stories UMD. No ISOs, no patched UMDs, not Vice City Stories. See here for some info on how to check if your version is patched. The most reliable way : the unpatched disks have the v2.0 firmware update on them.
  • This downgrader is intended to enable homebrew. Homebrew is NOT the same as piracy. Don’t be a thieving loser – buy the games you play.
  • The downgrader will work on all current PSP hardware (TA-079 – TA-086). Patching of TA-082+ is automatic in the downgrader.
  • You downgrade at your own risk. There is always a chance of bricking, although we have done everything we can think of to make this process safe.

In case you’re wondering what this does or why it is so significant, the main reason is the ability to play homebrew or game backups on the PSP.  Also, you can now play PSX games without having to actually own a PS3.  Final Fantasy VII, here I COME!!!